Product Visibility

Product Details

Get one active product from the site catalog. Requires an active AI Visibility subscription with API access.

GET/api/v1/product-visibility/:siteId/products/:productId

Product Details

cURL

curl --request GET \
  --url 'https://app.indexly.ai/api/v1/product-visibility/SITE_ID/products/PRODUCT_ID' \
  --header 'X-API-Key: YOUR_API_KEY'

Response

{
  "product": {
    "id": "507f1f77bcf86cd799439011",
    "productName": "Example product",
    "brand": null,
    "category": null,
    "sku": null,
    "asin": null,
    "productUrl": null,
    "imageUrl": null,
    "description": null,
    "price": null,
    "currency": null,
    "availability": null,
    "variantAttributes": {},
    "identifiers": {},
    "sourceType": "WEBSITE",
    "marketplace": null,
    "catalogStatus": "ACTIVE",
    "visibilityStatus": "NOT_ANALYZED",
    "completeness": 0,
    "lastAnalyzedAt": null,
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "missingDetails": [
      "Brand",
      "Category",
      "Description",
      "Availability"
    ]
  }
}

Authorizations

X-API-Keystringheaderrequired

API key from Settings → API Access in the Indexly dashboard.

Path parameters

siteIdstringrequired

Site ID belonging to your organization.

productIdstringrequired

ID of an active product belonging to the site.

Response

200 application/json
productobject— Includes id, productName, brand, category, sku, asin, productUrl, imageUrl, description, price, currency, availability, variantAttributes, identifiers, sourceType, marketplace, catalogStatus, visibilityStatus, completeness, lastAnalyzedAt, createdAt, updatedAt and missingDetails.